summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2008-04-15 10:40:06 +0200
committerAndrew Bartlett <abartlet@samba.org>2008-04-15 10:40:06 +0200
commitc7d95967643e3acac0b2f03b107f90d44a99ed66 (patch)
tree3369c3dbb61c272c601a0752e021dbd484d9d016 /testprogs
parent5a18f0d82b0c9518d5f1a5792cbbb7a49b60a88b (diff)
downloadsamba-c7d95967643e3acac0b2f03b107f90d44a99ed66.tar.gz
Test password change with 'net password change'.
Andrew Bartlett (This used to be commit 695cee0349f561625e4bbfa3a142a5e35f7eb4bf)
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_kinit.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/testprogs/blackbox/test_kinit.sh b/testprogs/blackbox/test_kinit.sh
index dbcdcf11126..29582055ee0 100755
--- a/testprogs/blackbox/test_kinit.sh
+++ b/testprogs/blackbox/test_kinit.sh
@@ -86,6 +86,14 @@ testit "kinit with user password" $samba4bindir/samba4kinit --password-file=./tm
test_smbclient "Test login with user kerberos ccache" 'ls' -k yes || failed=`expr $failed + 1`
+NEWUSERPASS=testPaSS@34%
+testit "change user password" $VALGRIND $net password change -W$DOMAIN -U$DOMAIN\\nettestuser%$USERPASS $CONFIGURATION -k no $NEWUSERPASS $@ || failed=`expr $failed + 1`
+
+echo $NEWUSERPASS > ./tmpuserpassfile
+testit "kinit with user password" $samba4bindir/samba4kinit --password-file=./tmpuserpassfile --request-pac nettestuser@$REALM || failed=`expr $failed + 1`
+
+test_smbclient "Test login with user kerberos ccache" 'ls' -k yes || failed=`expr $failed + 1`
+
KRB5CCNAME="$PREFIX/tmpccache"
export KRB5CCNAME